
#ifndef __dynconf_h__
#define __dynconf_h__

#define DYNCONF_H

typedef struct {
	unsigned autoumode_i:1;
	unsigned operwalk:1;
	unsigned opertopic:1;
	unsigned hideserver:1;

	char *network;
	char *MaskedName;
	char *domain;
	char *kline;
	char *akill;
	char *hostmask;
	char *services;
	char *sadmin;
	char *admin;
	char *ircop;
	char *locop;
} t_network;

#ifndef DYNCONF_C
extern t_network iConf;
#endif

#define DEFMODE_I		iConf.autoumode_i
#define INCLUDE			iConf.include
#define OperWalk		iConf.operwalk
#define OperTopic		iConf.opertopic
#define HIDESERVER		iConf.hideserver
#define Network			iConf.network
#define DomainName		iConf.domain
#define MaskedName		iConf.MaskedName
#define NetProtocol		"(ohv)@%+"
#define SERVER_KLINE_ADDRESS	iConf.kline
#define NETWORK_KLINE_ADDRESS	iConf.akill
#define HOSTMASK		iConf.hostmask
#define SERVICES_NAME		iConf.services

#define SAdmin_host		iConf.sadmin
#define Admin_host		iConf.admin
#define IRCop_host		iConf.ircop
#define Locop_host		iConf.locop

#endif
